Subject: Re: tof77

From: Zheng Gengbin <[email-masked]>
Date: Tue, 29 Apr 1997 10:17:36 +0800 (EAT)

On Mon, 28 Apr 1997, Guansong Zhang wrote:

> On Apr 28,  9:34am, Zheng Gengbin wrote:
> >
> > 	tof77 now is ccontinuing . Now she is concerning about  translate
> > do  statement to f77 . This  issue is  not only in f90 , HPF also have such
> > problem  .
> > 	In do , many work done in forall must also be done , such as
> > global to local index caculation . And communocation dedtection .
> >
> 
> I don't understand this. I thought tof77 should be something change f90 to f77,
> there is nothing involved with multiprocessor programming, the work of this
> part has already been done in trans0, right?
> 
> tof77 should be a program translating f90 to f77 will keeping its semantics
> meaning, right? So why special work for do construnct?
> 

	Yea , the translate of do construct is not the part of tof77 , if
speak strictly . But this part of work is not done by trans0 . Trans0 simply
left do constrct untouched . Because Prof. Ding think do translation is
crucial to our test , so it is put on our latest agenda . 
	I think there are some work must be done in do construc like forall ,
such as the division of computation , and the communication detection . 

Zheng